Mailinglist Archive: opensuse-factory (432 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20200729 released!
  • From: Dominique Leuenberger <dimstar@xxxxxxx>
  • Date: Thu, 30 Jul 2020 20:01:32 +0000
  • Message-id: <159613929213.5788.9183302829348270677@go-agent-stagingbot-6>

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20200729

Please do not reply to this email to report issues, rather file a bug
on bugzilla.opensuse.org. For more information on filing bugs please
see https://en.opensuse.org/openSUSE:Submitting_bug_reports

Packages changed:
bluedevil5 (5.19.3 -> 5.19.4)
breeze (5.19.3 -> 5.19.4)
breeze-gtk (5.19.3 -> 5.19.4)
busybox (1.31.1 -> 1.32.0)
discover (5.19.3 -> 5.19.4)
drkonqi5 (5.19.3 -> 5.19.4)
hyper-v (7 -> 8)
kactivitymanagerd (5.19.3 -> 5.19.4)
kcm_sddm (5.19.3 -> 5.19.4)
kde-cli-tools5 (5.19.3 -> 5.19.4)
kde-gtk-config5 (5.19.3 -> 5.19.4)
kde-user-manager (5.19.3 -> 5.19.4)
kdump
kgamma5 (5.19.3 -> 5.19.4)
khotkeys5 (5.19.3 -> 5.19.4)
kinfocenter5 (5.19.3 -> 5.19.4)
kmenuedit5 (5.19.3 -> 5.19.4)
kmod
kscreen5 (5.19.3 -> 5.19.4)
kscreenlocker (5.19.3 -> 5.19.4)
ksshaskpass5 (5.19.3 -> 5.19.4)
ksysguard5 (5.19.3 -> 5.19.4)
kwayland-integration (5.19.3 -> 5.19.4)
kwayland-server (5.19.3 -> 5.19.4)
kwin5 (5.19.3 -> 5.19.4)
kwrited5 (5.19.3 -> 5.19.4)
libkdecoration2 (5.19.3 -> 5.19.4)
libkscreen2 (5.19.3 -> 5.19.4)
libksysguard5 (5.19.3 -> 5.19.4)
llvm10 (10.0.0 -> 10.0.1)
milou5 (5.19.3 -> 5.19.4)
oxygen5 (5.19.3 -> 5.19.4)
plasma-browser-integration (5.19.3 -> 5.19.4)
plasma-nm5 (5.19.3 -> 5.19.4)
plasma5-addons (5.19.3 -> 5.19.4)
plasma5-desktop (5.19.3 -> 5.19.4)
plasma5-integration (5.19.3 -> 5.19.4)
plasma5-openSUSE
plasma5-pa (5.19.3 -> 5.19.4)
plasma5-workspace (5.19.3 -> 5.19.4)
polari
polkit-kde-agent-5 (5.19.3 -> 5.19.4)
powerdevil5 (5.19.3 -> 5.19.4)
systemsettings5 (5.19.3 -> 5.19.4)
transactional-update
xdg-desktop-portal-kde (5.19.3 -> 5.19.4)
xfwm4 (4.14.2 -> 4.14.3)

=== Details ===

==== bluedevil5 ====
Version update (5.19.3 -> 5.19.4)
Subpackages: bluedevil5-lang

- Update to 5.19.4
* New bugfix release
* For more details please see:
* https://kde.org/announcements/plasma-5.19.4
- No code changes since 5.19.3

==== breeze ====
Version update (5.19.3 -> 5.19.4)
Subpackages: breeze5-cursors breeze5-decoration breeze5-style
breeze5-style-lang breeze5-wallpapers libbreezecommon5-5

- Update to 5.19.4
* New bugfix release
* For more details please see:
* https://kde.org/announcements/plasma-5.19.4
- No code changes since 5.19.3

==== breeze-gtk ====
Version update (5.19.3 -> 5.19.4)
Subpackages: gtk2-metatheme-breeze gtk3-metatheme-breeze metatheme-breeze-common

- Update to 5.19.4
* New bugfix release
* For more details please see:
* https://kde.org/announcements/plasma-5.19.4
- No code changes since 5.19.3

==== busybox ====
Version update (1.31.1 -> 1.32.0)
Subpackages: busybox-static

- Update to busybox 1.32.0
- many bugfixes and new features
- Obsoletes busybox-no-stime.patch
- Disable ftpget/ftpput, non-standard, ftp is outdated
- Disable run-init, we don't use that
- Disable cttyhack, we don't provide the calling tools
- Disable dnsd

==== discover ====
Version update (5.19.3 -> 5.19.4)
Subpackages: discover-backend-flatpak discover-backend-fwupd
discover-backend-packagekit discover-lang

- Update to 5.19.4
* New bugfix release
* For more details please see:
* https://kde.org/announcements/plasma-5.19.4
- No code changes since 5.19.3

==== drkonqi5 ====
Version update (5.19.3 -> 5.19.4)
Subpackages: drkonqi5-lang

- Update to 5.19.4
* New bugfix release
* For more details please see:
* https://kde.org/announcements/plasma-5.19.4
- No code changes since 5.19.3

==== hyper-v ====
Version update (7 -> 8)

- Remove dependency to network-online.target now that gethostname
is used in kvp_daemon (bsc#1174443, bsc#1174444)
- Reopen the devices if read() or write() returns errors (9fc3c01a)
- Use either python2 or python3 for lsvmbus (bsc#1093910)
- Remove sysv init scripts
- Enable build on aarch64

==== kactivitymanagerd ====
Version update (5.19.3 -> 5.19.4)
Subpackages: kactivitymanagerd-lang

- Update to 5.19.4
* New bugfix release
* For more details please see:
* https://kde.org/announcements/plasma-5.19.4
- No code changes since 5.19.3

==== kcm_sddm ====
Version update (5.19.3 -> 5.19.4)
Subpackages: kcm_sddm-lang

- Update to 5.19.4
* New bugfix release
* For more details please see:
* https://kde.org/announcements/plasma-5.19.4
- No code changes since 5.19.3

==== kde-cli-tools5 ====
Version update (5.19.3 -> 5.19.4)
Subpackages: kde-cli-tools5-lang

- Update to 5.19.4
* New bugfix release
* For more details please see:
* https://kde.org/announcements/plasma-5.19.4
- No code changes since 5.19.3

==== kde-gtk-config5 ====
Version update (5.19.3 -> 5.19.4)
Subpackages: kde-gtk-config5-gtk2 kde-gtk-config5-gtk3

- Update to 5.19.4
* New bugfix release
* For more details please see:
* https://kde.org/announcements/plasma-5.19.4
- No code changes since 5.19.3

==== kde-user-manager ====
Version update (5.19.3 -> 5.19.4)
Subpackages: kde-user-manager-lang

- Update to 5.19.4
* New bugfix release
* For more details please see:
* https://kde.org/announcements/plasma-5.19.4
- No code changes since 5.19.3

==== kdump ====

- Make dracut and sed normal requires as we don't use them in
%pre/%post install. Use file requires for sed.
- Don't PreRequire coreutils but the tools we really need

==== kgamma5 ====
Version update (5.19.3 -> 5.19.4)
Subpackages: kgamma5-lang

- Update to 5.19.4
* New bugfix release
* For more details please see:
* https://kde.org/announcements/plasma-5.19.4
- No code changes since 5.19.3

==== khotkeys5 ====
Version update (5.19.3 -> 5.19.4)
Subpackages: khotkeys5-lang

- Update to 5.19.4
* New bugfix release
* For more details please see:
* https://kde.org/announcements/plasma-5.19.4
- No code changes since 5.19.3

==== kinfocenter5 ====
Version update (5.19.3 -> 5.19.4)
Subpackages: kinfocenter5-lang

- Update to 5.19.4
* New bugfix release
* For more details please see:
* https://kde.org/announcements/plasma-5.19.4
- No code changes since 5.19.3

==== kmenuedit5 ====
Version update (5.19.3 -> 5.19.4)
Subpackages: kmenuedit5-lang

- Update to 5.19.4
* New bugfix release
* For more details please see:
* https://kde.org/announcements/plasma-5.19.4
- No code changes since 5.19.3

==== kmod ====
Subpackages: libkmod2

- Drop old RPM constructs from the build recipe.
- Drop kmod-compat (boo#1173353):
The symlinks in kmod-compat are not obsolete. They are
desirable for kernel module autoload. The "kernel.modprobe"
sysctl references /sbin/modprobe, and changing it to
"/usr/bin/kmod load" is not possible, because this sysctl
specifies a single executable, not a command (so spaces will be
treated as part of the filename).

==== kscreen5 ====
Version update (5.19.3 -> 5.19.4)
Subpackages: kscreen5-lang kscreen5-plasmoid

- Update to 5.19.4
* New bugfix release
* For more details please see:
* https://kde.org/announcements/plasma-5.19.4
- No code changes since 5.19.3

==== kscreenlocker ====
Version update (5.19.3 -> 5.19.4)
Subpackages: kscreenlocker-lang libKScreenLocker5

- Update to 5.19.4
* New bugfix release
* For more details please see:
* https://kde.org/announcements/plasma-5.19.4
- No code changes since 5.19.3

==== ksshaskpass5 ====
Version update (5.19.3 -> 5.19.4)
Subpackages: ksshaskpass5-lang

- Update to 5.19.4
* New bugfix release
* For more details please see:
* https://kde.org/announcements/plasma-5.19.4
- No code changes since 5.19.3

==== ksysguard5 ====
Version update (5.19.3 -> 5.19.4)
Subpackages: ksysguard5-lang

- Update to 5.19.4
* New bugfix release
* For more details please see:
* https://kde.org/announcements/plasma-5.19.4
- No code changes since 5.19.3

==== kwayland-integration ====
Version update (5.19.3 -> 5.19.4)

- Update to 5.19.4
* New bugfix release
* For more details please see:
* https://kde.org/announcements/plasma-5.19.4
- No code changes since 5.19.3

==== kwayland-server ====
Version update (5.19.3 -> 5.19.4)

- Update to 5.19.4
* New bugfix release
* For more details please see:
* https://kde.org/announcements/plasma-5.19.4
- No code changes since 5.19.3

==== kwin5 ====
Version update (5.19.3 -> 5.19.4)
Subpackages: kwin5-lang

- Update to 5.19.4
* New bugfix release
* For more details please see:
* https://kde.org/announcements/plasma-5.19.4
- Changes since 5.19.3:
* Check if we successfully restored input focus
* Grab all possible keyboard modifiers for window commands (kde#424272)
* KCM KWin Options setting ActiveMouseScreen set proper default value
(kde#424389)
* Resize maximised windows upon workspace change (kde#423596)
* Partially revert a0c4a8e766a2160 (kde#424223)
* Don't perform MouseActivateRaiseAndPassClick for topmost windows
* [virtualkeyboard] Fix the qtvirtualkeyboard with Qt 5.15
* [scripts/videowall] Reenable the config dialog

==== kwrited5 ====
Version update (5.19.3 -> 5.19.4)

- Update to 5.19.4
* New bugfix release
* For more details please see:
* https://kde.org/announcements/plasma-5.19.4
- No code changes since 5.19.3

==== libkdecoration2 ====
Version update (5.19.3 -> 5.19.4)
Subpackages: libkdecorations2-5 libkdecorations2-5-lang libkdecorations2private7

- Update to 5.19.4
* New bugfix release
* For more details please see:
* https://kde.org/announcements/plasma-5.19.4
- No code changes since 5.19.3

==== libkscreen2 ====
Version update (5.19.3 -> 5.19.4)
Subpackages: libKF5Screen7 libkscreen2-plugin

- Update to 5.19.4
* New bugfix release
* For more details please see:
* https://kde.org/announcements/plasma-5.19.4
- No code changes since 5.19.3

==== libksysguard5 ====
Version update (5.19.3 -> 5.19.4)
Subpackages: libksysguard5-helper libksysguard5-imports libksysguard5-lang

- Update to 5.19.4
* New bugfix release
* For more details please see:
* https://kde.org/announcements/plasma-5.19.4
- Changes since 5.19.3:
* correctly replace spaces with nothing
* fix presets loading
* delete the face config ui when face gets switched (kde#423071)

==== llvm10 ====
Version update (10.0.0 -> 10.0.1)
Subpackages: clang-tools clang10 clang10-doc libLLVM10 libLTO10 libc++-devel
libc++1 libc++abi-devel libc++abi1 libclang10

- Update to version 10.0.1.
* This release contains bug-fixes for the LLVM 10.0.0 release.
This release is API and ABI compatible with 10.0.0.
- Rebase llvm-do-not-install-static-libraries.patch.
- Replace ValueLattice-Add-new-state-for-undef-constants.patch,
which landed upstream in a modified version, by
restore-llvm10-abi.patch that resets the ABI to our 10.0.0.
- Rewrite lld-default-sha1.patch to be version-independent.
- Set flags consistently, so that we don't lose -DNDEBUG on 32-bit
architectures. Also we don't need the opt flags twice. This leads
to a significant reduction in binary sizes on 32-bit arches.
- Make it easier to package release candidates.
- Enable most tests on 32-bit ARM, but not for libcxx.
- Add fix-atomics-test.patch for architectures where native atomics
are not available.
- Lower build constraints for riscv64 a bit to allow building on
more workers.
- Allow more compile jobs in stage 2.

==== milou5 ====
Version update (5.19.3 -> 5.19.4)
Subpackages: milou5-lang

- Update to 5.19.4
* New bugfix release
* For more details please see:
* https://kde.org/announcements/plasma-5.19.4
- No code changes since 5.19.3

==== oxygen5 ====
Version update (5.19.3 -> 5.19.4)

- Update to 5.19.4
* New bugfix release
* For more details please see:
* https://kde.org/announcements/plasma-5.19.4
- No code changes since 5.19.3

==== plasma-browser-integration ====
Version update (5.19.3 -> 5.19.4)
Subpackages: plasma-browser-integration-lang

- Update to 5.19.4
* New bugfix release
* For more details please see:
* https://kde.org/announcements/plasma-5.19.4
- No code changes since 5.19.3

==== plasma-nm5 ====
Version update (5.19.3 -> 5.19.4)
Subpackages: plasma-nm5-lang plasma-nm5-openconnect plasma-nm5-openvpn
plasma-nm5-pptp plasma-nm5-vpnc

- Update to 5.19.4
* New bugfix release
* For more details please see:
* https://kde.org/announcements/plasma-5.19.4
- Changes since 5.19.3:
* Make hotspot configuration dialog bigger
* Remove (seemingly debug) warning statement from passworddialog

==== plasma5-addons ====
Version update (5.19.3 -> 5.19.4)
Subpackages: plasma5-addons-lang

- Update to 5.19.4
* New bugfix release
* For more details please see:
* https://kde.org/announcements/plasma-5.19.4
- No code changes since 5.19.3

==== plasma5-desktop ====
Version update (5.19.3 -> 5.19.4)
Subpackages: plasma5-desktop-emojier plasma5-desktop-lang

- Update to 5.19.4
* New bugfix release
* For more details please see:
* https://kde.org/announcements/plasma-5.19.4
- Changes since 5.19.3:
* [kcms/desktoppath] Use folder dialogs instead of file dialogs (kde#424438)
* [kcm cursortheme] Also clear default theme when resetting
* Notify about changes when changing Global Theme (kde#421745)

==== plasma5-integration ====
Version update (5.19.3 -> 5.19.4)
Subpackages: plasma5-integration-plugin plasma5-integration-plugin-lang

- Update to 5.19.4
* New bugfix release
* For more details please see:
* https://kde.org/announcements/plasma-5.19.4
- No code changes since 5.19.3

==== plasma5-openSUSE ====
Subpackages: plasma5-defaults-openSUSE plasma5-theme-openSUSE
plasma5-workspace-branding-openSUSE sddm-theme-openSUSE

- Update to 5.19.4

==== plasma5-pa ====
Version update (5.19.3 -> 5.19.4)
Subpackages: plasma5-pa-lang

- Update to 5.19.4
* New bugfix release
* For more details please see:
* https://kde.org/announcements/plasma-5.19.4
- No code changes since 5.19.3

==== plasma5-workspace ====
Version update (5.19.3 -> 5.19.4)
Subpackages: gmenudbusmenuproxy plasma5-session plasma5-session-wayland
plasma5-workspace-lang plasma5-workspace-libs xembedsniproxy

- Update to 5.19.4
* New bugfix release
* For more details please see:
* https://kde.org/announcements/plasma-5.19.4
- Changes since 5.19.3:
* emit countChanged when we get a new source model
* [wallpaper] Avoid using pluginId for indexing package indexes (kde#423987)
* Revert "Fix broken ENV variables for detailed settings" (kde#423995)
* [applet/systemtray] Regression: all applets in config are shown as disabled
* hide face config button if the face can't config
* Only open KCM in systemsettings if it can be displayed (kde#423612)

==== polari ====
Subpackages: polari-lang typelib-1_0-Polari-1_0

- Add polari-fix-log-spam.patch: Quiet down unneeded warnings.

==== polkit-kde-agent-5 ====
Version update (5.19.3 -> 5.19.4)
Subpackages: polkit-kde-agent-5-lang

- Update to 5.19.4
* New bugfix release
* For more details please see:
* https://kde.org/announcements/plasma-5.19.4
- No code changes since 5.19.3

==== powerdevil5 ====
Version update (5.19.3 -> 5.19.4)
Subpackages: powerdevil5-lang

- Update to 5.19.4
* New bugfix release
* For more details please see:
* https://kde.org/announcements/plasma-5.19.4
- Changes since 5.19.3:
* Split args in RunScript again
- Drop patches, now upstream:
* 0001-Split-args-in-RunScript-again.patch
- Add patch to restore behaviour of RunScript (boo#1173763):
* 0001-Split-args-in-RunScript-again.patch

==== systemsettings5 ====
Version update (5.19.3 -> 5.19.4)
Subpackages: systemsettings5-lang

- Update to 5.19.4
* New bugfix release
* For more details please see:
* https://kde.org/announcements/plasma-5.19.4
- No code changes since 5.19.3

==== transactional-update ====
Subpackages: transactional-update-zypp-config

- Remove unused attr requires
- Change bc to file requires

==== xdg-desktop-portal-kde ====
Version update (5.19.3 -> 5.19.4)
Subpackages: xdg-desktop-portal-kde-lang

- Update to 5.19.4
* New bugfix release
* For more details please see:
* https://kde.org/announcements/plasma-5.19.4
- No code changes since 5.19.3

==== xfwm4 ====
Version update (4.14.2 -> 4.14.3)
Subpackages: xfwm4-lang

- Update to version 4.14.3
* Add support for XRes X11 extension to get the PID of sandboxed apps
* Fix use-after-free of settings strings (gxo#xfce/xfwm4#406)
* More XError traps (gxo#xfce/xfwm4#405)
* Translation updates


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages